[Setup]
; Don't change! Please read the help.
AppID=MFLibPreV1

AppName=MFLib
AppVersion=0.0.2.0 Beta
AppVerName=MFLib 0.0.2.0 Beta
AppPublisher=Marcus Fuchs
AppPublisherURL=mflib@mfhome.net
AppSupportURL=http://www.mfhome.net/mflib/
AppUpdatesURL=http://www.mfhome.net/mflib/

OutputBaseFilename=mflibsetup
OutputDir=..\

; {change this to not use 'C' as define but the system drive}
DefaultDirName=C:\Delphi\MFLib
LicenseFile=..\License.txt
;InfoBeforeFile=..\Install.txt
DisableProgramGroupPage=yes
DisableStartupPrompt=yes

[Types]
Name:full3; Description:"Full installation";
;Name:compact3; Description:"Compact installation";
Name:custom; Description:"Custom installation"; Flags:iscustom;

[Components]
; without compact3
;Name:"Source"; Description:"Sourcefiles"; Types:full3 compact3 custom; Flags:fixed;
;Name:"Resources"; Description:"Resourcefiles"; Types:full3 compact3 custom;
;Name:"Help"; Description:"Helpfiles"; Types:full3;
;Name:"Packages"; Description:"Packages";
;Name:"Packages\D3"; Description:"Delphi 3 Packages"; Types:full3 compact3;

Name:"Source"; Description:"Sourcefiles"; Types:full3 custom; Flags:fixed;
Name:"Resources"; Description:"Resourcefiles"; Types:full3 custom;
Name:"Packages"; Description:"Packages";
Name:"Packages\D3"; Description:"Delphi 3 Packages"; Types:full3;

[Tasks]
Name:"CompileSources"; Description:"Compile Sources"; components:"Source";
Name:"RegisterPackagesD3"; Description:"Register Packages to Delphi 3"; components:"Packages\D3";
;Name:"Install_dpl_D3"; Description:"Copy Runtimepackages into Systempath"; components:"Packages\D3";

[Files]
;Source
Source:"..\Source\*.inc"; DestDir:"{app}\Source"; components:"Source";
Source:"..\Source\*.pas"; DestDir:"{app}\Source"; components:"Source";
Source:"..\Source\*.dfm"; DestDir:"{app}\Source"; components:"Source";

;Resources
Source:"..\Resources\*.bmp"; DestDir:"{app}\Resources"; Flags:ignoreversion; components:"Resources";
Source:"..\Resources\*.rc"; DestDir:"{app}\Resources"; Flags:ignoreversion; components:"Resources";
;Source:"..\Resources\*.dcr"; DestDir:"{app}\Resources"; Flags:ignoreversion; components:"Resources";
Source:"..\Resources\*.res"; DestDir:"{app}\Resources"; Flags:ignoreversion; components:"Resources";

;Packages (*.dpk)
Source:"..\Packages\MFLib_D3.dpk"; DestDir:"{app}\Packages"; Flags:ignoreversion; components:"Packages\D3";
Source:"..\Packages\MFLib_D3.res"; DestDir:"{app}\Packages"; Flags:ignoreversion; components:"Packages\D3";

;Batchfiles
Source:"*.bat"; DestDir:"{app}\Install"; components:"Source Resources Packages\D3";

;Help
;Source:"..\Help\MFLib.hlp"; DestDir:"{app}\Help"; components:"Help";
;Source:"..\Help\MFLib.cnt"; DestDir:"{app}\Help"; components:"Help";

;ReadMe, History and Install
Source:"..\ReadMe.txt"; DestDir:"{app}"; Flags:isreadme;
Source:"..\Credits.txt"; DestDir:"{app}";
Source:"..\History.txt"; DestDir:"{app}";
Source:"..\Install.txt"; DestDir:"{app}";
Source:"..\License.txt"; DestDir:"{app}";

[Dirs]
Name:"{app}\Lib";

[Registry]
;Install the packages in Delphi
Root:HKCU; Subkey:"Software\Borland\Delphi\3.0\Known Packages"; ValueType:string; ValueName:"{app}\Packages\MFLib_D3.dpl"; ValueData:"MF Library (MFLib for D3) Package"; Tasks:"RegisterPackagesD3"; Flags:uninsdeletevalue;
;Add to the library path - does not get uninstalled!
Root:HKCU; Subkey:"Software\Borland\Delphi\3.0\Library"; ValueType:string; ValueName:"SearchPath"; ValueData:"{reg:HKCU\SOFTWARE\Borland\Delphi\3.0\Library,SearchPath};{app}\Lib"; Tasks:"RegisterPackagesD3";

[Run]
;Compiles *.pas to *.dcu and *.dpk to *.dcp and *.dpl
Filename:"{app}\Install\compile.bat"; tasks:"CompileSources"; StatusMsg:"Compiling Packages ...";

[UninstallDelete]
Type:files; Name:"{app}\Lib\MFAbout.dcu";
Type:files; Name:"{app}\Lib\MFButtons.dcu";
Type:files; Name:"{app}\Lib\MFDialogs.dcu";
Type:files; Name:"{app}\Lib\MFEdits.dcu";
Type:files; Name:"{app}\Lib\MFInputQuery.dcu";
Type:files; Name:"{app}\Lib\MFLabels.dcu";
Type:files; Name:"{app}\Lib\MFLibReg.dcu";
Type:files; Name:"{app}\Lib\MFMessages.dcu";
Type:files; Name:"{app}\Lib\MFMiscCtrl.dcu";
Type:files; Name:"{app}\Lib\MFReplace.dcu";
Type:files; Name:"{app}\Lib\MFRoutines.dcu";
Type:files; Name:"{app}\Lib\MFSearch.dcu";
Type:files; Name:"{app}\Lib\MFSelectQuery.dcu";
Type:files; Name:"{app}\Lib\MFStrRes.dcu";
Type:files; Name:"{app}\Lib\MFTypes.dcu";

Type:files; Name:"{app}\Lib\MFAbout.~pa";
Type:files; Name:"{app}\Lib\MFButtons.~pa";
Type:files; Name:"{app}\Lib\MFDialogs.~pa";
Type:files; Name:"{app}\Lib\MFEdits.~pa";
Type:files; Name:"{app}\Lib\MFInputQuery.~pa";
Type:files; Name:"{app}\Lib\MFLabels.~pa";
Type:files; Name:"{app}\Lib\MFLibReg.~pa";
Type:files; Name:"{app}\Lib\MFMessages.~pa";
Type:files; Name:"{app}\Lib\MFMiscCtrl.~pa";
Type:files; Name:"{app}\Lib\MFReplace.~pa";
Type:files; Name:"{app}\Lib\MFRoutines.~pa";
Type:files; Name:"{app}\Lib\MFSearch.~pa";
Type:files; Name:"{app}\Lib\MFSelectQuery.~pa";
Type:files; Name:"{app}\Lib\MFStrRes.~pa";
Type:files; Name:"{app}\Lib\MFTypes.~pa";

Type:files; Name:"{app}\Lib\MFAbout.~df";
Type:files; Name:"{app}\Lib\MFInputQuery.~df";
Type:files; Name:"{app}\Lib\MFReplace.~df";
Type:files; Name:"{app}\Lib\MFSearch.~df";
Type:files; Name:"{app}\Lib\MFSelectQuery.~df";

Type:files; Name:"{app}\Packages\MFLib_D3.dcp";
Type:files; Name:"{app}\Packages\MFLib_D3.dpl";

Type:files; Name:"{app}\Resources\MFButtons.dcr";
Type:files; Name:"{app}\Resources\MFDialogs.dcr";
Type:files; Name:"{app}\Resources\MFEdits.dcr";
Type:files; Name:"{app}\Resources\MFLabels.dcr";
Type:files; Name:"{app}\Resources\MFSplitter.dcr";

Type:dirifempty; Name:"{app}\Lib";
Type:dirifempty; Name:"{app}\Packages";
Type:dirifempty; Name:"{app}\Resources";

