{-------------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/MPL-1.1.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

Initial Autor   : Marcus Fuchs

Last Modified at: 12. January 2003
Last Modified by: Marcus Fuchs

You may retrieve the latest version of this file at the MFLib home page,
located at http://www.mfhome.net/mflib/
-------------------------------------------------------------------------------}

unit MFInputQuery;

{******************************************************************************}
{                                                                              }
{  This Form is intended to be used from an other unit (MFDialogs)             }
{                                                                              }
{******************************************************************************}

// remove the period to enable Debug settings (see MFLib.inc)
{.$DEFINE DEBUG}

{$I MFLib.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,     { VCL   }
  Dialogs, StdCtrls;                                                   { VCL   }

type
  TMFInputQuery = class(TForm)
    laPrompt: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    eText: TEdit;
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure eTextChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MFInQuery: TMFInputQuery;

  
implementation

{$R *.DFM}

uses
  MFStrRes;
  
Const
  space_la_e = 3; {Abstand zw. Label und Edit}
  space_e_btn = 12; {Abstand zw. Edit und Buttons}
  space_btn_lrborder = 8; {Abstand zum linken/rechten Rand des Formulars}
  space_btn_bborder = 12; {Abstand zw. Buttons und unterem Rand des Formulars}
  space_btn_btn = 8; {Abstand zw. Buttons}

procedure TMFInputQuery.FormShow(Sender: TObject);
begin
  ClientWidth := laPrompt.Width + 2*space_btn_lrborder;
  ClientHeight := laPrompt.Top + laPrompt.Height + space_la_e +
                  eText.Height + space_e_btn +
                  btnOK.Height + space_btn_bborder;
  ActiveControl := eText;
end;

procedure TMFInputQuery.FormResize(Sender: TObject);
begin
  If ClientWidth < btnOK.Width + space_btn_btn + btnCancel.Width + 2*space_btn_lrborder Then
    ClientWidth := btnOK.Width + space_btn_btn + btnCancel.Width + 2*space_btn_lrborder;
  eText.Width := ClientWidth - 2*space_btn_lrborder;
  btnOK.Left := Trunc(ClientWidth/2) - btnOK.Width - Trunc(space_btn_btn/2);
  btnCancel.Left := Trunc(ClientWidth/2) + Trunc(space_btn_btn/2);

  eText.Top := laPrompt.Top + laPrompt.Height + space_la_e;
  btnOK.Top := eText.Top + eText.Height + space_e_btn;
  btnCancel.Top := btnOK.Top;
end;

procedure TMFInputQuery.eTextChange(Sender: TObject);
begin
  btnOK.Enabled := eText.Text <> '';
end;

procedure TMFInputQuery.FormCreate(Sender: TObject);
begin
  btnOK.Caption := srQueryOKBtn;
  btnCancel.Caption := srQueryCancelBtn;
end;

end.
