{-------------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/MPL-1.1.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

Initial Autor   : Marcus Fuchs

Last Modified at: 29. January 2003
Last Modified by: Marcus Fuchs

You may retrieve the latest version of this file at the MFLib home page,
located at http://www.mfhome.net/mflib/
-------------------------------------------------------------------------------}

unit MFLibReg;
{ Overview: }
{ Description: To register all components and propertyeditors of MFLib to Delphi
  you only have to add this unit to a package. }

{$I MFLib.inc}

interface

procedure Register;
{ Overview: Registers all components and propertyeditors to Delphi }
{ Description: With this procedure all components and also all propertyeditors
  which are part of MFLib will be registered to Delphi, so that you can use them
  as any other components and editors. }

implementation

uses
  Classes,                                                             { VCL   }

  MFStrRes,                                                            { MFLib }

  MFButtons,
  MFEdits,
  MFLabels,
  MFMiscCtrl,
  MFDialogs;

procedure Register;
begin
  RegisterComponents(srMFControlsPage, [TMFButton, TMFGradButton]);
  RegisterComponents(srMFControlsPage, [TMFNumEdit]);
  RegisterComponents(srMFControlsPage, [TMFLabel, TMFUrlLabel]);
  RegisterComponents(srMFControlsPage, [TMFSplitter]);

  RegisterComponents(srMFDialogsPage, [TMFSearchDialog, TMFReplaceDialog, TMFAboutDialog]);

//  RegisterComponents(srMFComponentsPage, []);
//  RegisterComponents(srMFDialogsPage, []);
end;

end.
